package com.jiuqi.script.rhino;

import com.jiuqi.script.Script;
import com.jiuqi.script.ScriptFactory;

public class RhinoScriptFactory implements ScriptFactory {
   private static final String factoryName = "Rhino";
   private static final String version = "1.6 release 7 2007 08 19";
   private static final String[] rhinoNames = new String[]{"javascript", "js", "rhino", "JavaScript", "ECMAScript", "ecmascript"};

   public Script createScript() {
      return new RhinoScript();
   }

   public String[] getNames() {
      return rhinoNames;
   }

   public String getFactoryName() {
      return "Rhino";
   }

   public String getVersion() {
      return "1.6 release 7 2007 08 19";
   }
}
